# WACCA English (US) Translation

**When sharing with someone, please link to the original source so that people can get updates!**

### What is this?

This is a public English translation for WACCA version 3.07.01. Most of the UI is translated, with some notable exceptions:

* Navigators: Only Elizabeth and Luin are fully translated.
* Multiplayer: Unable to test, so it has not been translated.
* A few more things for sure (currently undocumented)

### How do I use this?

First, use [Whack Translation Tool (WTT)](https://github.com/Raymonf/whack) to bulk import the TOML files in this repository into your uasset/uexp Message files. Point WTT to your game folder.

Then, to activate the translation, you'll either need to **set your region** to USA or **force the locale** to en-US.

**Option 1:** Patch the game and edit the configuration
1. Drag your Mercury-Win64-Shipping.exe into https://raymonf.github.io/whack/MercuryPatcher/
2. Check the "Ignore router country language" patch
3. Replace your original exe with the patched one
4. Open `Mercury\Config\DefaultEngine.ini` in a text editor (or the user override file, if you know where that is)
5. Under `[Internationalization]`, change `Culture=ja-JP` to `Culture=en-US`

**Option 2:** Edit your server's PowerOn response for v3. For ARTEMiS:
1. Open `core/allnet.py`
2. Search for `AllnetPowerOnResponse3`
3. Change `self.country = "JPN"` -> `self.country = "USA"`
4. Restart ARTEMiS

### How can I contribute?

Open a pull request or DM me on Discord. Contributions are welcome, but please make sure you test your changes in-game and make sure your strings are at least somewhat accurate to the original Japanese text in overall meaning. Ideally, your text should not clip any UI elements and should look as close to an official translation as possible.

The Korean text is provided in the repository for convenient cross-checking of vocabulary, if you know some Korean.